%define rel 2
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary: DVD Backup Script
Name: dvd2iso
Version: 1.5
Release: %{rel}%{rhtag}
BuildArch: noarch
Source0: http://james.nontrivial.org/%{name}.pl
URL: http://james.nontrivial.org/projdvd.htm
Vendor: James Bearden <james@nontrivial.org>
License: GPL
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr
Requires: perl
Requires: mjpegtools >= 1.6.0
Requires: dvdbackup >= 0.1
Requires: transcode >= 0.6.3
Requires: dvdauthor >= 0.5.0

%description
A DVD Backup Script in Perl

%prep
%setup -T -c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE0} %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%attr(0755, root, root) %{_bindir}/%{name}
